/* Install phpGUI - PHP-Workbench 
*/

nok = RxFuncAdd("SysLoadFuncs",  "RexxUtil", "SysLoadFuncs") ;rc = SysLoadFuncs();

HomePath = directory();

say "Install to "HomePath"? (Y/N)";

if Translate( SysGetKey('NoEcho') ) = "Y" then NOP;
else;do
   say "No installation";
   exit;
end;

ok = SysFileTree("phpGUI.exe","files.","F");
if files.0 = 1 then NOP;
else;do
   say "phpGUI.exe missing - installation abandoned";
   exit;
end;

/* --------------------------------------  */
/* Create phpGUI folder on WPS-desktop:    */
/* --------------------------------------  */

FolderID = "<phpGUI Objects>";

ok = SysCreateObject(   "WPFolder",             ,
                        "phpGUI",             ,
                        "<WP_DESKTOP>",         ,
                        "OBJECTID="FolderID";ICONFILE=Folder1.ico",  ,
                        "Replace"               ,
                    );

if ok then
   say "Folder-object successfully created";
else;
   say "Error creating Folder-object: Code="ok;

/* --------------------------------------  */
/* Create sqlMate program-object:          */
/* --------------------------------------  */

ok = SysCreateObject(   "WpProgram",                                             ,
                        "phpGUI"||"0D0A"x||"The PHP Workbench", ,
                        FolderID,                                                ,
                        "EXENAME="HomePath"\phpGUI.exe;ICONFILE="HomePath"\phpGUI.ico;"||       ,
                        "STARTUPDIR="HomePath"\",                        ,
                        "Replace"                                       ,
                    );

if ok then
   say "Program-object successfully created";
else;
   say "Error creating program-object: Code="ok;


say "phpGUI installation successfully completed";

exit;
